unit ugeraden;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  Buttons;

type

  { Tfgeradengeometrie }

  Tfgeradengeometrie = class(TForm)
    BitBtn1: TBitBtn;
    b_berechnen: TButton;
    e_xs: TEdit;
    e_ys: TEdit;
    e_winkel: TEdit;
    e_m1: TEdit;
    e_n1: TEdit;
    e_m2: TEdit;
    e_n2: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    procedure b_berechnenClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  fgeradengeometrie: Tfgeradengeometrie;

implementation

{$R *.lfm}

{ Tfgeradengeometrie }

procedure Tfgeradengeometrie.b_berechnenClick(Sender: TObject);
VAR m1,n1,m2,n2,xs,ys,aBogen, aGrad : SINGLE;

begin
  //Eingaben
  m1 := STRTOFLOAT(e_m1.Text);
  n1 := STRTOFLOAT(e_n1.Text);
  m2 := STRTOFLOAT(e_m2.Text);
  n2 := STRTOFLOAT(e_n2.Text);

  //Verarbeitung
  xs := (n2-n1)/(m1-m2);
  ys := m1*xs + n1;
  aBogen := ARCTAN(ABS((m2-m1)/(1+m2*m1)));
  aGrad := aBogen*180/PI;

  //Ausgaben
  e_xs.text := FLOATTOSTR(xs);
  e_ys.text := FLOATTOSTR(ys);
  e_winkel.text := FLOATTOSTR(aGrad);

end;

end.

